#!/bin/sh
# cern-lxdistcc-wrappers.sh: v1 KELEMEN Peter <lxdistcc-admins@cern.ch>
_self=${0##*/}

setup_env () {
	_version=${_self##*-}
	_platform=${_platform:-x86_64-slc6}
        _product=${_product:-gcc}

	_prefix="/afs/cern.ch/sw/lcg/external/${_product}/${_version}"
	_bin="${_prefix}/${_platform}/bin"
	_lib="${_prefix}/${_platform}/lib64"
	LD_LIBRARY_PATH="${_lib}${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH}"
	PATH="${_bin}${PATH:+:}${PATH}"

	export LD_LIBRARY_PATH
	export PATH
}

case ${_self} in


        lcg-*-3.2)
		_product=llvm
 		_platform=x86_64-slc5
		setup_env
   		LD_LIBRARY_PATH="/afs/cern.ch/sw/lcg/external/gcc/4.6.3/x86_64-slc5/lib64${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH}"
                ;;
	lcg-*-4.3.2|lcg-*-4.3.5|lcg-*-4.3.6|lcg-*-4.5.2|lcg-*-4.6.2|lcg-*-4.6.3|lcg-*-4.7.2|lcg-*-4.8.0)
		_platform=x86_64-slc5
		setup_env
		;;


	*)
		echo "E: Unsupported compiler '${_self}', please contact <lxdistcc-admins@cern.ch>"
		exit 100
		;;
esac

${_bin}/${_self} "$@"
exit $?

# End of file.
